Package ghidra.app.util.viewer.field

# Class NamespaceWrappedOption

java.lang.Object
ghidra.app.util.viewer.field.NamespaceWrappedOption

All Implemented Interfaces:
  `CustomOption`

public class NamespaceWrappedOption extends Object implements CustomOption
An option class that allows the user to edit a related group of options pertaining to namespace display.

- ## Field Summary

  ### Fields inherited from interface ghidra.framework.options.CustomOption

  `CUSTOM_OPTION_CLASS_NAME_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamespaceWrappedOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getLocalPrefixText()`
  `int`
  `hashCode()`
  `boolean`
  `isShowLibraryInNamespace()`
  `boolean`
  `isShowLocalNamespace()`
  `boolean`
  `isShowNonLocalNamespace()`
  `boolean`
  `isUseLocalPrefixOverride()`
  `void`
  `readState(GProperties properties)`
  Read state from the given properties
  `void`
  `setLocalPrefixText(String localPrefixText)`
  `void`
  `setShowLibraryInNamespace(boolean showLibraryInNamespace)`
  `void`
  `setShowLocalNamespace(boolean showLocalNamespace)`
  `void`
  `setShowNonLocalNamespace(boolean showNonLocalNamespace)`
  `void`
  `setUseLocalPrefixOverride(boolean useLocalPrefixOverride)`
  `void`
  `writeState(GProperties properties)`
  Write state into the given properties

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.framework.options.CustomOption

  `toString`

- ## Constructor Details

  - ### NamespaceWrappedOption

    public NamespaceWrappedOption()

- ## Method Details

  - ### isShowLocalNamespace

    public boolean isShowLocalNamespace()

  - ### isShowNonLocalNamespace

    public boolean isShowNonLocalNamespace()

  - ### getLocalPrefixText

    public String getLocalPrefixText()

  - ### setShowLocalNamespace

    public void setShowLocalNamespace(boolean showLocalNamespace)

  - ### setShowNonLocalNamespace

    public void setShowNonLocalNamespace(boolean showNonLocalNamespace)

  - ### setUseLocalPrefixOverride

    public void setUseLocalPrefixOverride(boolean useLocalPrefixOverride)

  - ### isUseLocalPrefixOverride

    public boolean isUseLocalPrefixOverride()

  - ### setLocalPrefixText

    public void setLocalPrefixText(String localPrefixText)

  - ### isShowLibraryInNamespace

    public boolean isShowLibraryInNamespace()

  - ### setShowLibraryInNamespace

    public void setShowLibraryInNamespace(boolean showLibraryInNamespace)

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### readState

    public void readState(GProperties properties)
    Description copied from interface: `CustomOption`
    Read state from the given properties
    Specified by:
      `readState` in interface `CustomOption`
    Parameters:
      `properties` - container of state information

  - ### writeState

    public void writeState(GProperties properties)
    Description copied from interface: `CustomOption`
    Write state into the given properties
    Specified by:
      `writeState` in interface `CustomOption`
    Parameters:
      `properties` - container of state information